%define api_version 2
%define lib_major 1

%define lib_name %mklibname %{name}- %{api_version} %{lib_major}

Summary: GNOME DB frontend
Name: mergeant
Version: 0.52
Release: 4mdk
License: GPL
Group: Databases
URL: http://www.gnome-db.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.52-1mdk place plugins in library directory
Patch0: mergeant-0.52-libdir.patch.bz2
Patch1: mergeant-0.52-sqlincludedir.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: scrollkeeper
Buildrequires: gnome-db2.0-devel
BuildRequires: libgnomeprintui2-2-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: automake1.8
Requires: scrollkeeper
Requires: gnome-db2.0

%description
Mergeant is a program which helps administer a DBMS database using the gnome-db
framework. Basically, it memorizes all the structure of the database, and some
queries, and does the SQL queries instead of the user (not having to type all
over again those SQL commands, although it is still possible to do so).

%package -n	%{lib_name}
Summary:	%{summary}
Group: 		System/Libraries

%description -n	%{lib_name}
Libraries needed by mergeant

%package -n	%{lib_name}-devel
Summary:	Development files for Mergeant
Group: 		Development/Databases
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
Development files for Mergeant

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .sqlincludedir

#needed by patch0
aclocal-1.8
automake-1.8
autoconf

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name} --with-gnome

# Menu entry 
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/mergeant" icon="%{_datadir}/pixmaps/mergeant/mergeant.png" needs="X11" \
section="Applications/Databases" title="Mergeant" longtitle="DBMS admin tool"
EOF

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/mergeant/plugins/*.{la,a}


%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{update_menus}

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS BUGS TODO 
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/application-registry/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%{_datadir}/mime-info/*
%{_datadir}/mergeant
%{_menudir}/*
%dir %{_libdir}/mergeant
%dir %{_libdir}/mergeant/plugins

%files -n %{lib_name}
%defattr(-, root, root, -)
%{_libdir}/*.so.*
%{_libdir}/mergeant/plugins/*

%files -n %{lib_name}-devel
%defattr(-, root, root, -)
%doc %{_datadir}/gtk-doc/html/libmergeant
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.52-4mdk 
- Rebuild

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.52-3mdk 
- Rebuild with latest howl

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.52-2mdk 
- from Tigrux <tigrux@ximian.com> (go monkey, go) : 
  - Enable compilation against libgda 1.2

* Mon Aug 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.52-1mdk
- Release 0.52

* Mon Jul 28 2003 Marcel Pol <mpol@gmx.net> 0.12.1-2mdk
- requires gnome-db2.0 (bug #4074)

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.1-1mdk
- Release 0.12.1

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.0-1mdk
- Release 0.12.0
- Remove patch0 (merged upstream)

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11.0-2mdk
- Fix BuildRequires

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11.0-1mdk
- Initial build.
- Patch0: fix plugin directory location


